<?php 
$forms = new Forms();

/* Идентификатор формы */
$forms_id = to_int($GLOBALS['LA']['FormID']);

if (isset($_POST['Submit']))
{
	/* 0 - html, 1- plain text */
	$param['type'] = to_int($GLOBALS['LA']['TypeMail']);

	if (!empty($GLOBALS['LA']['EmailFieldName']) && !empty($_POST[to_str($GLOBALS['LA']['EmailFieldName'])]))
	{
		$param['e-mail'] = to_str($_POST[to_str($GLOBALS['LA']['EmailFieldName'])]);
	}

	$external_propertys = array();

	/* Производим обработку формы, результат записываем $result_form */
	$result_form = $forms->GetForm($forms_id, to_str($GLOBALS['LA']['xsl_forms']), to_str($GLOBALS['LA']['xsl_email']),$param);

	/* форма не обработана */
	
if ($result_form === 0)
	{
		$external_propertys['error'] = "Вы неверно ввели число подтверждения отправки формы!";
	}
	else
if ($result_form === false) /* форма не обработана */
	{
		$external_propertys['error'] = "Прошло слишком мало времени с момента последней отправки Вами формы!";
	}

	/* Если была ошибка - выводим форму повторно с сообщением об ошибке */
	
if (!empty($external_propertys['error']))
	{
		$forms->ShowForm($forms_id, to_str($GLOBALS['LA']['xsl_show_form']), $external_propertys, $_POST);
	}
}
else
{
	$forms->ShowForm($forms_id, to_str($GLOBALS['LA']['xsl_show_form']));
}
?>